Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 732944 (CVE-2020-3350, CVE-2020-3481) - <app-antivirus/clamav-0.102.4: Multiple vulnerabilities (CVE-2020-{3327,3350,3481})
Summary: <app-antivirus/clamav-0.102.4: Multiple vulnerabilities (CVE-2020-{3327,3350,...
Status: RESOLVED FIXED
Alias: CVE-2020-3350, CVE-2020-3481
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://lists.clamav.net/pipermail/cl...
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-16 19:47 UTC by Sam James
Modified: 2020-07-27 00:11 UTC (History)
1 user (show)

See Also:
Package list:
app-antivirus/clamav-0.102.4 dev-libs/tomsfastmath-0.13.1
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-07-16 19:47:35 UTC
From URL (modified for readability):
"* CVE-2020-3327

Fixed a vulnerability in the ARJ archive-parsing module in ClamAV 0.102.3 that could cause a denial-of-service (DoS) condition. Improper bounds checking resulted in an out-of-bounds read that could cause a crash. The previous fix for this CVE in version 0.102.3 was incomplete. This fix correctly resolves the issue.

* CVE-2020-3350

Fixed a vulnerability a malicious user could exploit to replace a scan target's directory with a symlink to another path to trick clamscan, clamdscan, or clamonacc into removing or moving a different   file (such as a critical system file). The issue would affect users that use the --move or --remove options for clamscan, clamdscan and clamonacc.

* CVE-2020-3481 

Fixed a vulnerability in the EGG archive module in ClamAV 0.102.0 - 0.102.3 that could cause a denial-of-service (DoS) condition. Improper error handling could cause a crash due to a NULL pointer dereference. This vulnerability is mitigated for those using the official ClamAV signature databases because the file type signatures in daily.cvd will not enable the EGG archive parser in affected versions."
Comment 1 Sam James archtester gentoo-dev Security 2020-07-16 19:49:19 UTC
Please bump to 0.102.4.
Comment 2 Larry the Git Cow gentoo-dev 2020-07-16 20:02:12 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ee2d6a2ac56061aee742db6b983db49ec4884ac

commit 2ee2d6a2ac56061aee742db6b983db49ec4884ac
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-07-16 19:51:48 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-07-16 19:55:17 +0000

    app-antivirus/clamav: new version 0.102.4.
    
    Fixes CVE-2020-3327, CVE-2020-3350, and CVE-2020-3481.
    
    Bug: https://bugs.gentoo.org/732944
    Package-Manager: Portage-2.3.99, Repoman-2.3.23
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 app-antivirus/clamav/Manifest                                           | 1 +
 .../clamav/{clamav-0.102.3-r1.ebuild => clamav-0.102.4.ebuild}          | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)
Comment 3 Sam James archtester gentoo-dev Security 2020-07-16 20:08:13 UTC
Thanks! Let us know when ready to stable.
Comment 4 Michael Orlitzky gentoo-dev 2020-07-16 20:10:37 UTC
It should be OK to stable right away. The diff from the previous revision of clamav itself is minor. I'd be more worried about the libtom patch that we added in the previous revision, but that's been in the tree (and running here) for a while now with zero reported problems.
Comment 5 Sam James archtester gentoo-dev Security 2020-07-16 20:12:49 UTC
(In reply to Michael Orlitzky from comment #4)
> It should be OK to stable right away. The diff from the previous revision of
> clamav itself is minor. I'd be more worried about the libtom patch that we
> added in the previous revision, but that's been in the tree (and running
> here) for a while now with zero reported problems.

That's what I was thinking about, but nothing has come up (kind of surprised, but glad!

Let's try it.
Comment 6 NATTkA bot gentoo-dev 2020-07-16 20:13:16 UTC
Sanity check failed:

> app-antivirus/clamav-0.102.4
>   depend amd64 stable profile default/linux/amd64/17.0 (68 total)
>     dev-libs/tomsfastmath
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (35 total)
>     dev-libs/tomsfastmath
>   rdepend amd64 stable profile default/linux/amd64/17.0 (68 total)
>     dev-libs/tomsfastmath
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (35 total)
>     dev-libs/tomsfastmath
Comment 7 Sam James archtester gentoo-dev Security 2020-07-16 22:58:16 UTC
ppc stable
Comment 8 Sam James archtester gentoo-dev Security 2020-07-16 23:02:29 UTC
ppc64 stable
Comment 9 Sam James archtester gentoo-dev Security 2020-07-17 01:24:53 UTC
arm64 stable
Comment 10 Sam James archtester gentoo-dev Security 2020-07-17 14:48:49 UTC
arm stable
Comment 11 Agostino Sarubbo gentoo-dev 2020-07-17 15:05:44 UTC
amd64 stable
Comment 12 Agostino Sarubbo gentoo-dev 2020-07-17 15:18:48 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 13 Larry the Git Cow gentoo-dev 2020-07-17 15:45:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27642167dbd73da270d499aa4ab19617576f3c96

commit 27642167dbd73da270d499aa4ab19617576f3c96
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-07-17 15:43:19 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-07-17 15:43:19 +0000

    app-antivirus/clamav: remove old vulnerable version.
    
    Bug: https://bugs.gentoo.org/732944
    Package-Manager: Portage-2.3.99, Repoman-2.3.23
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 app-antivirus/clamav/Manifest              |   1 -
 app-antivirus/clamav/clamav-0.102.3.ebuild | 214 -----------------------------
 2 files changed, 215 deletions(-)
Comment 14 Sam James archtester gentoo-dev Security 2020-07-26 05:36:18 UTC
GLSA vote: yes.
Comment 15 GLSAMaker/CVETool Bot gentoo-dev 2020-07-27 00:11:36 UTC
This issue was resolved and addressed in
 GLSA 202007-23 at https://security.gentoo.org/glsa/202007-23
by GLSA coordinator Sam James (sam_c).